<div class="convertor">
    <div class="alg">
        <span class="alg-in">
            <select [(ngModel)]="from" (ngModelChange)="checkDisabled()" [disabled]="fromDisabled">
                <option value="" disabled selected>From</option>
                <option [value]="item" *ngFor="let item of currencies">{{item[0]}}</option>
            </select>
        </span>
        <button (click)="swap()" [disabled]="isSwapDisabled">Swap Values</button>
        <span class="alg-in">
            <select [(ngModel)]="to" (ngModelChange)="checkDisabled()">
                <option value="" disabled selected>To</option>
                <option [value]="item" *ngFor="let item of currencies">{{item[0]}}</option>
            </select>
        </span>
    </div>
    <div class="alg">
        <span class="alg-in">
            <input type="number" placeholder="Amount" [(ngModel)]="amount" (ngModelChange)="checkDisabled()"/>
        </span>
        <button [disabled]="isDisabled" (click)="convert()">Convert</button>
    </div>
    <div class="result" *ngIf="showResult">
        {{amount | number:'1.2-2'}} <a routerLink="currency-details/{{from}}/{{to}}{{amount?'/'+amount:''}}">{{getCurrencyCode(0)}}</a> equals to {{rate*amount | number:'1.2-2'}} <a routerLink="currency-details/{{to}}/{{from}}{{amount?'/'+amount:''}}">{{getCurrencyCode(1)}}</a>
    </div>

 <div class="tb-cont" *ngIf="showResult">
    <div class="tble">
        <table>
            <tr>
                <th>From</th>
                <th>To</th>
            </tr>
            <tr *ngFor="let item of constantList">
                <td>{{item}} <b>{{getCurrencyCode(0)}}</b></td>
                <td>{{item*rate | number:'1.2-2'}} <b>{{getCurrencyCode(1)}}</b></td>
            </tr>
        </table>
    </div>
    <div class="tble">
        <table>
            <tr>
                <th>From</th>
                <th>To</th>
            </tr>
            <tr *ngFor="let item of constantList">
                <td>{{item}} <b>{{getCurrencyCode(1)}}</b></td>
                <td>{{item*toRate | number:'1.2-2'}} <b>{{getCurrencyCode(0)}}</b></td>
            </tr>
        </table>
    </div>
 </div>
</div>
